Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.shape
Class IndexShapeFile

    java.lang.Object
      org.deegree.tools.shape.IndexShapeFile

    public class IndexShapeFile

extends Object

IndexShapeFile is an application that can be used to index an ESRI ShapeFiles(tm). It indexes both the geometry and the alphanumeric attributes

The application shows a file chooser with which the user can select a file. When a file is choosen the application opens it and shows the attributes. The user can now select the attributes that has to be indexed. Already indexed attributes are already selected and can be deselected. For alphanumeric attributes the user can indicate if the attribute is unique or not.

After selecting the attributes the application creates the needed indexes and loops over all the features in the shape file. For every feature the application inserts the attributes in the right index. After looping over the features the application closes the shapefile and the created indexes and removes the indexes that are no longer needed (eg. the index for the attributes that are deselected).

It is not possible to transform a unique index to a non-unique index or back.

Constructor Summary
`IndexShapeFile()`

Method Summary
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexShapeFile

    public IndexShapeFile()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org